# template: default
%global gem_name faraday-detailed_logger

Name: rubygem-%{gem_name}
Version: 2.5.0
Release: 1%{?dist}
Summary: A detailed request and response logger for Faraday
License: MIT
URL: https://github.com/envylabs/faraday-detailed_logger
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby >= 2.4.0
BuildRequires: ruby >= 2.4.0
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
A Faraday middleware for logging request and response activity including
method, URI, headers, and body at varying log levels.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/Appraisals
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/faraday-detailed_logger.gemspec

%changelog
* Thu Jul 14 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 2.5.0-1
- Update to 2.5.0

* Tue May 31 2022 Dirk Goetz <dirk.goetz@netways.de> 2.1.3-1
- Add rubygem-faraday-detailed_logger generated by gem2rpm using the scl template

